Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface FilterConfig

public interface FilterConfig

A filter configuration object used by a servlet container used to pass information to a filter during initialization.

Since:
  Servlet 2.3
See Also:
  `Filter`

Method Summary
`java.lang.String` | `getFilterName()` Returns the filter-name of this filter as defined in the deployment descriptor.
`java.lang.String` | `getInitParameter(java.lang.String name)` Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`java.util.Enumeration` | `getInitParameterNames()` Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
`ServletContext` | `getServletContext()` Returns a reference to the `ServletContext` in which the caller is executing.

Method Detail

### getFilterName

    public java.lang.String getFilterName()

  Returns the filter-name of this filter as defined in the deployment descriptor.

### getServletContext

    public ServletContext getServletContext()

  Returns a reference to the `ServletContext` in which the caller is executing.
  Returns:
    a `ServletContext` object, used by the caller to interact with its servlet container
  See Also:
    `ServletContext`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
  Parameters:
    `name` - a `String` specifying the name of the initialization parameter
  Returns:
    a `String` containing the value of the initialization parameter

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
  Returns:
    an `Enumeration` of `String` objects containing the names of the servlet's initialization parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 The Apache Software Foundation. All Rights Reserved.